## ros-indigo-mav-planning-msgs 3.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mav_planning_msgs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs sensor_msgs std_msgs message_generation mav_msgs trajectory_msgs)
include_directories(include ${catkin_INCLUDE_DIRS})

find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  # ROS == Indigo.
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
else()
  # ROS > Indigo.
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

add_message_files(
  FILES
  Point2D.msg
  PointCloudWithPose.msg
  Polygon2D.msg
  PolygonWithHoles.msg
  PolygonWithHolesStamped.msg
  PolynomialSegment4D.msg
  PolynomialTrajectory4D.msg
)

add_service_files(
  FILES
  PlannerService.srv
  PolygonService.srv
)

generate_messages(
  DEPENDENCIES geometry_msgs sensor_msgs std_msgs mav_msgs trajectory_msgs
)

catkin_package(
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS}
  CATKIN_DEPENDS message_runtime geometry_msgs sensor_msgs std_msgs mav_msgs trajectory_msgs
)

=== debian/changelog ===
ros-indigo-mav-planning-msgs (3.3.2-0trusty) trusty; urgency=high

  * Fix indigo eigen3 compatibility.

 -- Helen Oleynikova <helen.oleynikova@mavt.ethz.ch>  Tue, 21 Aug 2018 22:00:00 -0000

ros-indigo-mav-planning-msgs (3.3.1-0trusty) trusty; urgency=high

  * Fix Eigen3 warning. Migration from Jade.
  * Add std_msgs, eigen and cmake_modules dependencies.

 -- Helen Oleynikova <helen.oleynikova@mavt.ethz.ch>  Mon, 20 Aug 2018 22:00:00 -0000

ros-indigo-mav-planning-msgs (3.3.0-0trusty) trusty; urgency=high

  * Add 2D polygon messages and services.
  * Add ROS and Eigen conversions.
  * Add standard services and trajectory messages.
  * Add mav_planning_msgs
  * Contributors: Helen Oleynikova, Rik Bähnemann

 -- Helen Oleynikova <helen.oleynikova@mavt.ethz.ch>  Thu, 16 Aug 2018 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-mav-planning-msgs
Section: misc
Priority: extra
Maintainer: Helen Oleynikova <helen.oleynikova@mavt.ethz.ch>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-mav-msgs, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Homepage: https://github.com/ethz-asl/mav_comm
Standards-Version: 3.9.2

Package: ros-indigo-mav-planning-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-mav-msgs, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: Messages specific to MAV planning, especially polynomial planning.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mav-planning-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
